using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ewide.Application.Entity
{
    public class BsHouseCompany : Core.DEntityBase
    {
        /// <summary>
        /// 单位类型，多选
        /// </summary>
        [Comment("单位类型，多选")]
        [MaxLength(20)]
        public string Type { get; set; }

        /// <summary>
        /// 单位名称
        /// </summary>
        [Comment("单位名称")]
        [MaxLength(200)]
        public string CompanyName { get; set; }

        /// <summary>
        /// 单位负责人
        /// </summary>
        [Comment("单位负责人")]
        [MaxLength(100)]
        public string ChargePerson { get; set; }

        /// <summary>
        /// 单位负责人电话
        /// </summary>
        [Comment("单位负责人电话")]
        [MaxLength(50)]
        public string ChargePersonTel { get; set; }

        /// <summary>
        /// 单位联系人
        /// </summary>
        [Comment("单位联系人")]
        [MaxLength(100)]
        public string ContactPerson { get; set; }

        /// <summary>
        /// 单位联系人电话
        /// </summary>
        [Comment("单位联系人电话")]
        [MaxLength(50)]
        public string ContactPersonTel { get; set; }
    }
}
